BIO_MAP_USER(9)

NAME
bio_map_user - map user address into bio

SYNOPSIS

struct bio * bio_map_user (request_queue_t * q, struct block_device * bdev, unsigned long uaddr, unsigned int len, int write_to_vm);

ARGUMENTS

q   the request_queue_t for the bio

bdev
    destination block device

uaddr
    start of user address

len length in bytes

write_to_vm
    bool indicating writing to pages or not

DESCRIPTION

Map the user space address into a bio suitable for io to a block device. Returns an error pointer in case of error.